package envoy.server;

import envoy.data.Message;
import envoy.server.net.ObjectWriteProxy;

/**
 * This {@link ObjectProcessor} handles incoming {@link Message}s.<br>
 * <br>
 * Project: <strong>envoy-server-standalone</strong><br>
 * File: <strong>MessageProcessor.java</strong><br>
 * Created: <strong>30.12.2019</strong><br>
 *
 * @author Kai S. K. Engelbart
 * @since Envoy Server Standalone v0.1-alpha
 */
public class MessageProcessor implements ObjectProcessor<Message> {

	@Override
	public Class<Message> getInputClass() { return Message.class; }

	@Override
	public void process(Message message, long socketId, ObjectWriteProxy writeProxy) {

		// TODO: Send message to recipient if online
		ConnectionManager connectionManager = ConnectionManager.getInstance();
		if (connectionManager.isOnline(message.getRecipientId())) {

		}

		// TODO: Add message to database
	}
}
